local Tablet = AceLibrary("Tablet-2.0")
local L = Rock("LibRockLocale-1.0"):GetTranslationNamespace("FuBar_TrainerSkillsFu")

TrainerSkillsFu = Rock:NewAddon("TrainerSkillsFu", "LibRockConfig-1.0", "LibRockDB-1.0", "LibFuBarPlugin-3.0")

TrainerSkillsFu:SetDatabase("TrainerSkillsFuDB")
TrainerSkillsFu:SetDatabaseDefaults("profile", {})

TrainerSkillsFu:SetFuBarOption("iconPath", "Interface\\AddOns\\Fubar_TrainerSkillsFu\\icon")
TrainerSkillsFu:SetFuBarOption("defaultPosition", "RIGHT")
TrainerSkillsFu:SetFuBarOption("tooltipType", "Tablet-2.0")

function TrainerSkillsFu:OnInitialize()
	local optionsTable = {
		name = "FuBar_TrainerSkillsFu",
		desc = L["A FuBar button to load TrainerSkills."],
		handler = TrainerSkillsFu,
		type = "group",
		args = {}
	}

	TrainerSkillsFu:SetConfigTable(optionsTable)
	TrainerSkillsFu.OnMenuRequest = optionsTable
end

function TrainerSkillsFu:OnUpdateFuBarText()
	if (self:IsFuBarTextShown()) then
		self:ShowFuBarText()
		self:SetFuBarText("|cffffffff"..L["TrainerSkills"].."|r")
	else
		self:HideFuBarText()
	end
end

function TrainerSkillsFu:OnUpdateFuBarTooltip()
	Tablet:SetHint(L["Click to show TrainerSkills."])
end

function TrainerSkillsFu:OnFuBarClick(button)
	TrainerSkills_Toggle()
end
